import { SemanticUI } from "react-atomic-molecule";
import split from "../../lib/split.mjs";
import { jsx as _jsx } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";

var Highlight = function Highlight(_ref) {
  var {
    children,
    start,
    end,
    tagStyle
  } = _ref;

  if (!isNaN(start) && !isNaN(end)) {
    var arr = [];

    if (0 !== start * 1) {
      arr.push(children.substring(0, start));
    }

    arr.push( /*#__PURE__*/_jsx(SemanticUI, {
      atom: "b",
      style: tagStyle,
      children: children.substring(start, end)
    }, "keyword"));

    if (children.length !== end * 1) {
      arr.push(children.substring(end, children.length));
    }

    return arr;
  } else {
    var _arr = split(children);

    return /*#__PURE__*/_jsx(_Fragment, {
      children: _arr.map(function (item, i) {
        if (item[0]) {
          return /*#__PURE__*/_jsx(SemanticUI, {
            atom: "b",
            style: tagStyle,
            children: item[1]
          }, i);
        } else {
          return item[1];
        }
      })
    });
  }
};

export default Highlight;